<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Student Sorting Application</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
        }
        h1 {
            margin-bottom: 20px;
        }
        .form-group {
            margin-bottom: 20px;
        }
        .result-table {
            margin-top: 20px;
            width: 100%;
            border-collapse: collapse;
        }
        .result-table th,
        .result-table td {
            padding: 8px;
            border: 1px solid #ccc;
        }
    </style>
</head>
<body>
<h1>Student Sorting Application</h1>
<form th:action="@{/sort}" method="post" enctype="multipart/form-data">
    <div class="form-group">
        <label for="fileInput">Select a file:</label>
        <input type="file" id="fileInput" name="file">
    </div>
    <div class="form-group">
        <label for="algorithmSelect">Select a sorting algorithm:</label>
        <select id="algorithmSelect" name="algorithm">
            <option value="BUBBLE_SORT">Bubble Sort</option>
            <option value="HEAP_SORT">Heap Sort</option>
            <option value="MERGE_SORT">Merge Sort</option>
        </select>
    </div>
    <div class="form-group">
        <button type="submit">Sort Students</button>
    </div>
</form>
</body>
</html>
